
/*
 * @(#)WBConsumer.java	1.14 99/01/07
 *
 * Copyright (c) 1993-1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You shall
 * not disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package examples.whiteboard;

import com.sun.media.jsdt.*;
import java.awt.*;
import java.util.*;
import java.applet.Applet;

/**
 * This is just a simple server/client based proof-of-concept
 * implementation to make sure that the Shared Data classes have
 * all the required API in them.
 *
 * It's based on WhiteBoard; a test applet for the game server from
 * daniel@vpro.nl. It's been rewritten to use the Java Shared Data API,
 * and to make it easier to modify and maintain.
 *
 * @version     1.5 - 7th January 1999
 * @author      daniel@vpro.nl
 * @author      Rich Burridge
 */

public class
WBConsumer implements ChannelConsumer, WhiteBoardDebugFlags {

    /** The name of this channel consumer. */
    protected String name;

    /** The WhiteBoardUser for this consumer. */
    WhiteBoardUser wbu;


    public
    WBConsumer(String name, WhiteBoardUser wbUser) {
        if (WBConsumer_Debug) {
            System.err.println("WBConsumer: constructor(" + name + ").");
        }

        this.name = name;
        this.wbu  = wbUser;
    }


    public synchronized void
    dataReceived(Data data) {
        if (WBConsumer_Debug) {
            System.err.println("WBConsumer: dataReceived: " +
                               " data " + data);
        }

/* Handle the data received. */

        wbu.commandLine = data.getDataAsString();
        if (WBConsumer_Debug) {
            System.err.println("Setting commandLine to: " + wbu.commandLine);
        }
        wbu.controls.repaint();
        wbu.drawingArea.repaint();
    }
}
